## loci.formats
Class AndorReader

    java.lang.Object
      loci.formats.FormatHandler
          loci.formats.FormatReader
              loci.formats.BaseTiffReader
                  loci.formats.AndorReader

public class AndorReader
extends BaseTiffReader

Reader is the file format reader for Andor Bio-imaging Division (ABD) TIFF files.

Field Summary

Fields inherited from class loci.formats.BaseTiffReader
`ifds, in, numImages`

Fields inherited from class loci.formats.FormatReader
`DEBUG, DEBUG_LEVEL, metadata, ome`

Fields inherited from class loci.formats.FormatHandler
`chooser, currentId, filters, format, suffixes`

Constructor Summary
`AndorReader()` Constructs a new Andor reader.

Method Summary
`protected void` `initMetadata()` Populate the metadata hashtable.
`boolean` `isThisType(byte[] block)` Checks if the given block is a valid header for an Andor TIFF file.
`boolean` `isThisType(String name)` Checks if the given string is a valid filename for an Andor TIFF file.
`static void` `main(String[] args)`

Methods inherited from class loci.formats.BaseTiffReader
`close, getImageCount, getTiffDimensions, initFile, initOMEMetadata, initStandardMetadata, open, put, put, put, put, put, put, put, put, put, put, putInt`

Methods inherited from class loci.formats.FormatReader
`createFilters, getMetadata, getMetadataValue, getOMENode, open, testRead`

Methods inherited from class loci.formats.FormatHandler
`getFileChooser, getFileFilters, getFormat, getSuffixes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AndorReader

    public AndorReader()

  Constructs a new Andor reader.

Method Detail

### isThisType

    public boolean isThisType(byte[] block)

  Checks if the given block is a valid header for an Andor TIFF file.

  Overrides:
    `isThisType` in class `BaseTiffReader`

### isThisType

    public boolean isThisType(String name)

  Checks if the given string is a valid filename for an Andor TIFF file.

  Overrides:
    `isThisType` in class `FormatHandler`

### initMetadata

    protected void initMetadata()

  Populate the metadata hashtable.

  Overrides:
    `initMetadata` in class `BaseTiffReader`

### main

    public static void main(String[] args)
                     throws FormatException,
                            IOException

  Throws:
    `FormatException`
    `IOException`